Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class AssociationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.bea.commerce.ebusiness.discount.DiscountException
                              |
                              +--com.bea.commerce.ebusiness.discount.association.AssociationException

public class AssociationException
extends DiscountException

An AssociationException is an ApplicationException that also maintains the primary key of the association it is related to.

See Also:
  `com.bea.commerce.ebusiness.discount.association.internal.DiscountAssocPK`, `DiscountException`, `ApplicationException`, Serialized Form

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`AssociationException(int uid, java.lang.String msgKey, java.lang.Exception ex)`

Method Summary
`int` | `uid()`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationException

    public AssociationException(int uid,
                                java.lang.String msgKey,
                                java.lang.Exception ex)

Method Detail

### uid

    public int uid()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved